Subject: bug#17352: closed (Re: bug#17352: .emacs.desktop has become unportable between GUI and TTY.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 29 Sep 2017 18:13:03 +0000

Your bug report

#17352: .emacs.desktop has become unportable between GUI and TTY.

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
17352: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=17352
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#17352: .emacs.desktop has become unportable between GUI and TTY.
From: Eli Zaretskii <[email-masked]>
To: Kaushal Modi <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Fri, 29 Sep 2017 21:12:05 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Kaushal Modi <[email-masked]>
> Date: Fri, 29 Sep 2017 17:06:36 +0000
> Cc: [email-masked]
> 
> Thank you!
> 
> I confirm this fix.
> 
> How I tested:
> 
> 1. Open emacsclient -nw& 
> 2. Quit (my config saves desktop when quitting) i.e. kill emacs completely
> 3. Verify that the desktop file got updated
> 4. Open emacsclient &
> 5. Starts up without that "Error (frameset): Font ‘tty’ is not defined" error
> 
> I believe you can mark this as done now.

Thanks, done.

Subject: .emacs.desktop has become unportable between GUI and TTY.
From: Alan Mackenzie <[email-masked]>
To: [email-masked]
Date: Sat, 26 Apr 2014 18:25:45 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, Emacs.

I just tried starting a GUI Emacs, and it refused to process my
.emacs.desktop, complaining:

    "Error (frameset): Font `tty' is not defined [7 times]
    Waraning (frameset): Attempt to delete the sole visible or iconified frame

Emacs deleted my .emacs.desktop before I could look at it (see bug
#17351).  But at a guess, it had recorded the "font" used as "tty" at
the close of my last TTY session, and not finding this "font" in the GUI
font subsystem gave up.

I immediately started a TTY Emacs, and there got some error message
something like "Can't open terminal (0.0)".  For some reason, this error
message wasn't recorded in *Messages*.

This lack of portability is a bug.  Sharing a desktop file between GUI
and TTY sessions is the sort of thing Emacs should be able to do without
batting an eylid.  The font in use and the particular terminal (?) used
to create .emacs.desktop are _not_ essential information.  Such
information should be regarded by the desktop subsystem as hints,
nothing more.

My Emacs is the trunk at revision #116992.

-- 
Alan Mackenzie (Nuremberg, Germany).